/*!**************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/footer.css ***!
  \**************************************************************************************************************/
footer {
	background-color : black;
	color : white;
	height : 300px;

}

footer ul {
	list-style : none;
	margin : 25px auto;
	width : 700px;
	text-align : center;
}


footer .ligne {
	display : inline;
	margin-right : 10px;
	line-height: 24px;
}

footer p {
	text-align : center;
	width : 100%;
	margin-top : 50px;
	position : relative;
	top : 30px;
	font-size : 24px;
	margin-bottom: 100px;
}

footer a {
	display : inline-block;
	font-size : 16px;
	text-decoration : none;
	color : grey;
}

footer a:hover {
	color : white;
	border-bottom : 1px solid white;
}
/*!**************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/header.css ***!
  \**************************************************************************************************************/
body {
    margin: 0;
    font-family: 'Arial', sans-serif;
}
header{
    background-color: black;
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width : 100%;
    /*height : 160px;*/

}

header a{
    text-decoration: none;
    color:var(--greyMH);
    font-size: 14px;
}

.topHead{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 10px;
    width: 90%;
}

.toHide{
    width: 40px;
}
#brandBtn img{
    width: 150px;
}

.cartInfo{
    position: relative;
    top:20px;
}

#cartBtn img{
    width: 30px;
}

.bottomHead ul{
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    margin-top: 5px;
    margin-bottom: 10px;
    gap: 20px;
    padding-left: 0;
    text-transform: uppercase;
}

.bottomHead ul a:hover{
    color: white;
    border-bottom: 1px solid white;
}

#totalItem{
    position: absolute;
    bottom: -4px;
    right: -4px;
    width: 20px;
    height: 20px;
    line-height: 20px;
    text-align: center;
    background-color: white;
    color: black;
    border-radius: 50%;
    font-size: 12px;
    margin: 0;
}
/*resp*/

@media screen and (max-width:1024px){
    .content{
        padding: 0px 20px !important;
    }
}
@media screen and (max-width:769px){
    .content{
        font-size: 14px !important;
    }
}

/*footer*/
/* resp css*/
ul.footer-badges-list {
    flex-wrap: wrap;
}
footer a {
    word-break: break-all;
    box-sizing: border-box;
}
body , body * {
    box-sizing: border-box!important;
}
body footer ul {
    max-width: 700px;
    width: 100%!important;
    gap: 10px;
    display: flex;
    justify-content:center;
    flex-wrap: wrap;
    margin: 0px auto;
    padding: 0px;
    box-sizing: border-box;
}
#gd-pre-footer .wrapper {
    flex-wrap: wrap;
}
footer p {
    margin-bottom: 30px;
    display: block;
    margin-top: 0px;
    top: 0px;
}
footer {
    height: unset;
    padding: 70px 20px;
}
ul.footer-badges-list {
    flex-wrap: wrap;
    padding: 0px 20px;
    gap: 20px;
}
@media only screen and (max-width: 1024px){
    #gd-pre-footer .wrapper{
        gap: 20px!important;
        padding:0px 20px;
    }

    ul.footer-badges-list{
        margin:0px;
        padding:60px 20px;
    }
}
@media only screen and (max-width: 767px){
    footer a {
        font-size:13px;
    }

    #gd-pre-footer .wrapper .divImageMarquage{
        width: calc(50% - 10px);
        min-width: calc(50% - 10px);
    }

    .bottomHead ul{
        padding: 0px 20px;
        justify-content: center;
    }
    footer .ligne {
        width: 100%;
        text-align: center;
    }

    ul.footer-badges-list li {
        width: calc(50% - 10px);
    }
}
/*header*/
#toggleNav {
    display:none;
}
@media only screen and (max-width: 1024px){
    .topHead{
        align-items:center;;
    }
    #cartBtn img {
        width: 25px;
    }
    #totalItem {
        bottom: -1px;
        right: -2px;
        width: 15px;
        height: 15px;
        line-height:15px;
        font-size: 10px;

    }
    span#toggleNav {
        width: 22px;
        display:inline-block;
    }
    #toggleNav .line{
        width:100%;
        display:block;
        height:1px;
        transition:0.3s;
        background:#fff;
    }
    #toggleNav.active .line.line1{
        transform:rotate(45deg);
    }
    #toggleNav.active .line.line2{
        position:relative;
        top:-5px;
        transform:rotate(-45deg);
    }
    #toggleNav.active .line.line3{
        display: none;
    }
    #toggleNav .line + .line{
        margin-top:5px;
    }
    body:has(.bottomHead.active){
        overflow:hidden;
    }
    .bottomHead{
        left:-250px;
        position: fixed;
        transition:0.3s;
        width: 250px;
        background: #000;
        z-index: 999;
        max-width: 95%;
        top: 50px;
        bottom: 0px;
        display: flex;
        align-items: start;
        padding-top:50px;
        justify-content: start;
    }
    .bottomHead.active{
        left: 0px;
    }

    a#brandBtn img {
        width:100px;
    }
    header ul{
        gap: 10px!important;
    }
    header a {
        text-align: left;
        font-size: 12px;
    }
    .bottomHead ul{
        padding: 0px 20px;
        justify-content: start;
    }
    .cartInfo{
        top: 0px !important;
    }
    span.toHide{
        display:none;
    }
}
@media only screen and (max-width: 767px){
    #cartBtn img {
        width: 25px;
    }
    #totalItem {
        bottom: -1px;
        right: -2px;
        width: 15px;
        height: 15px;
        line-height:15px;
        font-size: 10px;

    }
    span#toggleNav {
        width: 22px;
        display:inline-block;
    }
    #toggleNav .line{
        width:100%;
        display:block;
        height:1px;
        transition:0.3s;
        background:#fff;
    }
    #toggleNav.active .line.line1{
        transform:rotate(45deg);
    }
    #toggleNav.active .line.line2{
        position:relative;
        top:-5px;
        transform:rotate(-45deg);
    }
    #toggleNav.active .line.line3{
        display: none;
    }
    #toggleNav .line + .line{
        margin-top:5px;
    }
    body:has(.bottomHead.active){
        overflow:hidden;
    }
    .bottomHead{
        left:-250px;
        position: fixed;
        transition:0.3s;
        width: 250px;
        background: #000;
        z-index: 999;
        max-width: 95%;
        top: 50px;
        bottom: 0px;
        display: flex;
        align-items: start;
        padding-top:50px;
        justify-content: start;
    }
    .bottomHead.active{
        left: 0px;
    }

    a#brandBtn img {
        width:100px;
    }
    header ul{
        gap: 10px!important;
    }
    header a {
        text-align: left;
        font-size: 12px;
    }
    .bottomHead ul{
        padding: 0px 20px;
        justify-content: start;
    }
    .cartInfo{
        top: 0px !important;
    }
    span.toHide{
        display:none;
    }
}
/***.bandeau ul {*/
/*    display : flex;*/
/*    list-style : none;*/
/*    margin : 50px auto;*/
/*    width : 700px;*/
/*    text-transform : uppercase;*/
/*}*/

/*.bandeau li {*/
/*    margin : 0 auto;*/
/*    text-align : center;*/
/*    border : 3px solid black;*/
/*    font-size : 16px;*/
/*    letter-spacing : 0px;*/
/*}*/

/*.bandeau a {*/
/*    text-decoration : none;*/
/*    color : #BFBFBF;*/
/*}*/

/*.bandeau a:hover {*/
/*    color : white;*/
/*    border-bottom : 1px solid white;*/
/*}*/

/*.onglet2 a {*/
/*    color : white;*/
/*    border-bottom : 1px solid white;*/
/*}*/

@media screen and (max-width:1024px){
    section h6{
        margin: 20px 0px
    }
    section{
        width: 100% !important;;
        margin:70px auto !important;
        padding: 0px 20px !important;
    }
    .titre{
        margin-top:30px;
    }
}
@media screen and (max-width:769px){
    .content{
        font-size: 14px !important;
    }
}

.livraison-offerte-bandeau {
    background-color: var(--greenMH);
    text-align: center;
    padding: 5px 0;
    width: 100%;
}

.livraison-offerte-bandeau p {
    margin: 0;
    color: white !important;
    font-size: 16px;
    /*font-weight: bold;*/
}


/*!*********************************************************************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js??ruleSet[1].rules[1].oneOf[1].use[1]!./assets/css/style_accueil.css ***!
  \*********************************************************************************************************************/
:root {
    --greenMH: #21C366;
    --greyMH: #D5D5D5;
    --blueMH: #0076BA;
    --greyTextMH: #5E5E5E;
}


/** {*/
/*    margin: 0;*/
/*    padding: 0;*/
/*    border: 0;*/
/*    outline: 0;*/
/*    font-size: 100%;*/
/*    vertical-align: baseline;*/
/*    background: transparent;*/
/*}*/


/*html {*/
/*  font-size: 10px; !* px signifie 'pixels': la taille de base pour la police est désormais 10 pixels de haut  *!*/
/*  font-family: 'Mulish', sans-serif;*/
/*}*/


/*!*****************************************!*/
/*!***************** BANDEAU ***************!*/
/*!*****************************************!*/


/*header {*/
/*	background-color : black;*/
/*	height : 160px;*/
/*}*/

/*.bandeau img {*/
/*	display : block;*/
/*	margin : 0 auto 0 auto;*/
/*	position : relative;*/
/*	top : 20px;*/
/*}*/

/*.bandeau ul {*/
/*	display : flex;*/
/*	list-style : none;*/
/*	margin : 50px auto;*/
/*	width : 700px;*/
/*	text-transform : uppercase;*/
/*}*/

/*.bandeau li {*/
/*	margin : 0 auto;*/
/*	text-align : center;*/
/*	font-size : 16px;*/
/*	letter-spacing : 0;*/
/*}*/

/*.bandeau a {*/
/*	text-decoration : none;*/
/*	color : #BFBFBF;*/
/*}*/

/*.bandeau a:hover {*/
/*	color : white;*/
/*	border-bottom : 1px solid white;*/
/*}*/


/*!*************************************!*/
/*!********* CORPS DE LA PAGE **********!*/
/*!*************************************!*/

/*h2 {*/
/*!*	text-align : center;*!*/
/*	font-size : 40px;*/
/*	letter-spacing : 1px;*/
/*	margin : 0;*/
/*	padding : 20px 0;*/
/*	color : black;*/
/*	width : 350px;*/
/*	line-height : 50px;*/
/*}*/


/*.com {*/
/*	width : 400px;*/
/*	padding-bottom : 40px;*/
/*	ont-size : 16px;*/
/*	letter-spacing : 1px;*/
/*}*/


/*.blok1 li, .blok2 li, .blok3 li {*/
/*	font-size : 16px;*/
/*	line-height : 30px;*/
/*	letter-spacing : 1px;*/
/*}*/


/*.blok1, .blok2, .blok3 {*/
/*width: 1150px;*/
/*margin: 30px auto;*/
/*padding: 30px 20px 30px 40px;*/
/*}*/


/*.blok1 ul, .blok2 ul, .blok3 ul {*/
/*list-style : none;*/
/*display : flex;*/
/*margin : 0 auto;*/
/*line-height : 5px;*/
/*padding-left : 10px;*/
/*padding-top : 10px;*/
/*}*/

/*.blok1 ul li, .blok2 ul li, .blok3 ul li {*/
/*margin : 0 auto;*/
/*}*/

/*.bouton {*/
/*	padding : 10px 30px 15px 30px;*/
/*	background-color : black;*/
/*	color : white;*/
/*	display : inline-block;*/
/*	text-decoration : none;*/
/*	text-transform : uppercase;*/
/*}*/

/*.bouton:hover {*/
/*	transform : scale(1.03);*/
/*}*/

/*!*Aligner les images avec le centre du texte*!*/
/*!**/
/*.blok1 img, .blok2 img, .blok3 img{*/
/*	position: relative;*/
/*	top: 50%;*/
/*	-ms-transform: translateY(-50%);*/
/*	-webkit-transform: translateY(-50%);*/
/*	transform: translateY(-50%);*/
/*	max-width : 100%;*/
/*}*/
/**!*/
/*.iconespdg ul {*/
/*	display : flex;*/
/*	list-style : none;*/
/*	width : 1000px;*/
/*	margin : 0 auto;*/
/*}*/

/*.iconespdg li {*/
/*	margin : 0 auto;	*/
/*}*/

/*@font-face {*/
/*	font-family: 'Montserrat Regular';*/
/*	src: url('/assets/css/Montserrat-Regular.ttf') format('truetype');*/
/*	!*url('/assets/fonts/avenir-next.woff') format('woff');*!*/
/*	font-weight: normal;*/
/*	font-style: normal;*/
/*}*/

.montserrat-Bonjour {
    font-family: "Montserrat", sans-serif;
    font-optical-sizing: auto;
    font-weight: 400;
    font-style: normal;
}


/* Styles pour la mise en page */
body {
    margin: 0;
    /*font-family: "Montserrat", sans-serif;*/
    /*font-optical-sizing: auto;*/
    /*font-weight: 400;*/
    /*font-style: normal;*/
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

.buttonGreen {
    background-color: var(--greenMH);
    color: white;
    transition: background-color 0.3s ease;
    border-radius: 15px;
    min-width: fit-content;
}

.buttonGreen:hover {
    background-color: #1eb05c;
}

.message{
    margin:20px auto 50px auto !important;
    padding:0px 20px;
    width:100%;
    max-width:1200px;
    line-height:1.4;
}
body, body * {
    box-sizing: border-box !important;
}

#clients{
    width: 75%;
    height: auto
}
@media screen and (max-width: 1024px){
    .grid-produits{
        width:100%;
        gap:20px;
        min-width:unset;
        padding: 0px 20px;
        margin: 70px 0px 0px 0px;
    }
    .produit img{
        width:100%;
        transition: opacity 0.15s ease-in-out;
    }
    .produit .nom{
        margin-bottom:0px!important;
    }
    .produit .prix{
        margin-top:5px!important;
    }
    .produit{
        margin: 0px;
        width:calc(33.3% - 20px);


    }
}
@media screen and (max-width: 767px){
            .produit{
                text-align:center;
                width:calc(50% - 10px);
        
            }
        }

.footer-badge-image {
    height: 110px;
    width: auto;
}

/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/